diff --git a/src/main/java/net/minecraft/client/render/item/model/ItemModelDispatcher.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelDispatcher.java
index 1775c1072..c22357a62 100644
--- a/src/main/java/net/minecraft/client/render/item/model/ItemModelDispatcher.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelDispatcher.java
@@ -2,9 +2,11 @@ package net.minecraft.client.render.item.model;
 
 import net.minecraft.client.util.dispatch.Dispatcher;
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.item.Item;
+import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.item.block.ItemBlock;
+import net.minecraft.core.item.block.BlockItem;
 
 public class ItemModelDispatcher extends Dispatcher<Item, ItemModel> {
     private static final ItemModelDispatcher instance = new ItemModelDispatcher();
@@ -30,208 +32,208 @@ public class ItemModelDispatcher extends Dispatcher<Item, ItemModel> {
     }
 
     private ItemModelDispatcher() {
-        addDispatch(new ItemModelStandard(Item.toolShovelIron, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolPickaxeIron, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolAxeIron, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolFirestriker, "minecraft"));
-
-        addDispatch(new ItemModelStandard(Item.foodApple, "minecraft"));
-        addDispatch(new ItemModelBow(Item.toolBow, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.ammoArrow, "minecraft"));
-        addDispatch(new ItemModelCoal(Item.coal, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.diamond, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.ingotIron, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.ingotGold, "minecraft"));
-
-        addDispatch(new ItemModelStandard(Item.toolSwordIron, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolSwordWood, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolShovelWood, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolPickaxeWood, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolAxeWood, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolSwordStone, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolShovelStone, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolPickaxeStone, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolAxeStone, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolSwordDiamond, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolShovelDiamond, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolPickaxeDiamond, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolAxeDiamond, "minecraft").setFull3D());
-
-        addDispatch(new ItemModelStandard(Item.stick, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.bowl, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.foodStewMushroom, "minecraft"));
-
-        addDispatch(new ItemModelStandard(Item.toolSwordGold, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolShovelGold, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolPickaxeGold, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolAxeGold, "minecraft").setFull3D());
-
-        addDispatch(new ItemModelStandard(Item.string, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.featherChicken, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.sulphur, "minecraft"));
-
-        addDispatch(new ItemModelStandard(Item.toolHoeWood, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolHoeStone, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolHoeIron, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolHoeDiamond, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolHoeGold, "minecraft").setFull3D());
-
-        addDispatch(new ItemModelStandard(Item.seedsWheat, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.wheat, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.foodBread, "minecraft"));
-
-        addDispatch(new ItemModelStandard(Item.armorHelmetLeather, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorChestplateLeather, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorLeggingsLeather, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorBootsLeather, "minecraft"));
-
-        addDispatch(new ItemModelStandard(Item.armorHelmetChainmail, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorChestplateChainmail, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorLeggingsChainmail, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorBootsChainmail, "minecraft"));
-
-        addDispatch(new ItemModelStandard(Item.armorHelmetIron, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorChestplateIron, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorLeggingsIron, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorBootsIron, "minecraft"));
-
-        addDispatch(new ItemModelStandard(Item.armorHelmetDiamond, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorChestplateDiamond, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorLeggingsDiamond, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorBootsDiamond, "minecraft"));
-
-        addDispatch(new ItemModelStandard(Item.armorHelmetGold, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorChestplateGold, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorLeggingsGold, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorBootsGold, "minecraft"));
-
-        addDispatch(new ItemModelStandard(Item.flint, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.foodPorkchopRaw, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.foodPorkchopCooked, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.painting, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.foodAppleGold, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.sign, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.doorOak, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.doorGlass, "minecraft"));
-        addDispatch(new ItemModelDoorPainted(Item.doorOakPainted));
-        addDispatch(new ItemModelStandard(Item.bucket, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.bucketWater, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.bucketLava, "minecraft").setFullBright());
-        addDispatch(new ItemModelStandard(Item.minecart, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.saddle, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.doorIron, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.dustRedstone, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.ammoSnowball, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.boat, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.leather, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.bucketMilk, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.brickClay, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.clay, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.sugarcane, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.paper, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.book, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.slimeball, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.minecartChest, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.minecartFurnace, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.eggChicken, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.toolCompass, "minecraft"));
-        addDispatch(new ItemModelFishingRod(Item.toolFishingrod, "minecraft").setFull3D().setRotateWhenRendering());
-        addDispatch(new ItemModelStandard(Item.toolClock, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.dustGlowstone, "minecraft").setFullBright());
-        addDispatch(new ItemModelStandard(Item.foodFishRaw, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.foodFishCooked, "minecraft"));
-        addDispatch(new ItemModelDye(Item.dye));
-        addDispatch(new ItemModelStandard(Item.bone, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.dustSugar, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.foodCake, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.foodPumpkinPie, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.bed, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.repeater, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.foodCookie, "minecraft"));
-        addDispatch(new ItemModelMap(Item.map, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.toolShears, "minecraft"));
-
-        addDispatch(new ItemModelStandard(Item.nethercoal, "minecraft").setFullBright());
-
-        addDispatch(new ItemModelStandard(Item.armorHelmetSteel, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorChestplateSteel, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorLeggingsSteel, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.armorBootsSteel, "minecraft"));
-
-        addDispatch(new ItemModelStandard(Item.toolSwordSteel, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolShovelSteel, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolPickaxeSteel, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolAxeSteel, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.toolHoeSteel, "minecraft").setFull3D());
-
-        addDispatch(new ItemModelStandard(Item.ingotSteel, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.ingotSteelCrude, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.ammoFireball, "minecraft").setFullBright());
-        addDispatch(new ItemModelStandard(Item.armorQuiverGold, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.handcannonUnloaded, "minecraft").setFull3D());
-        addDispatch(new ItemModelStandard(Item.chainlink, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.cloth, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.ammoChargeExplosive, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.handcannonLoaded, "minecraft").setFull3D().setFullBright());
-        addDispatch(new ItemModelStandard(Item.ammoArrowGold, "minecraft"));
-        addDispatch(new ItemModelQuiver(Item.armorQuiver, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.toolCalendar, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.oreRawGold, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.oreRawIron, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.quartz, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.olivine, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.ammoPebble, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.foodCherry, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.bucketIcecream, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.ammoArrowPurple, "minecraft"));
-        addDispatch(new ItemModelLabel(Item.label, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.jar, "minecraft"));
-
-        addDispatch(new ItemModelStandard(Item.lanternFireflyGreen, "minecraft").setFullBright());
-        addDispatch(new ItemModelStandard(Item.lanternFireflyBlue, "minecraft").setFullBright());
-        addDispatch(new ItemModelStandard(Item.lanternFireflyOrange, "minecraft").setFullBright());
-        addDispatch(new ItemModelStandard(Item.lanternFireflyRed, "minecraft").setFullBright());
-
-        addDispatch(new ItemModelStandard(Item.basket, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.flag, "minecraft").setFull3D());
-
-        addDispatch(new ItemModelStandard(Item.armorBootsIceskates, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.toolShearsSteel, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.toolFirestrikerSteel, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.seedsPumpkin, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.seat, "minecraft"));
-
-        addDispatch(new ItemModelStandard(Item.rope, "minecraft"));
-
-        addDispatch(new ItemModelStandard(Item.wandMonsterSpawner, "minecraft").setFull3D());
-
-        addDispatch(new ItemModelStandard(Item.record13, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.recordCat, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.recordBlocks, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.recordChirp, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.recordFar, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.recordMall, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.recordMellohi, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.recordStal, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.recordStrad, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.recordWard, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.recordWait, "minecraft"));
-        addDispatch(new ItemModelStandard(Item.recordDog, "minecraft"));
-
-        addDispatch(new ItemModelBlock((ItemBlock) Block.torchCoal.asItem()).setFullBright());
-        addDispatch(new ItemModelBlock((ItemBlock) Block.torchRedstoneActive.asItem()).setFullBright());
-        addDispatch(new ItemModelBlock((ItemBlock) Block.glowstone.asItem()).setFullBright());
-        addDispatch(new ItemModelBlock((ItemBlock) Block.pumpkinCarvedActive.asItem()).setFullBright());
-        addDispatch(new ItemModelBlock((ItemBlock) Block.lampActive.asItem()).setFullBright());
-        addDispatch(new ItemModelBlock((ItemBlock) Block.portalParadise.asItem()).setFullBright());
-        addDispatch(new ItemModelBlock((ItemBlock) Block.portalNether.asItem()).setFullBright());
+        addDispatch(new StandardItemModel(Items.TOOL_SHOVEL_IRON, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_PICKAXE_IRON, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_AXE_IRON, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_FIRESTRIKER_IRON, "minecraft"));
+
+        addDispatch(new StandardItemModel(Items.FOOD_APPLE, "minecraft"));
+        addDispatch(new BowItemModel(Items.TOOL_BOW, "minecraft"));
+        addDispatch(new StandardItemModel(Items.AMMO_ARROW, "minecraft"));
+        addDispatch(new CoalItemModel(Items.COAL, "minecraft"));
+        addDispatch(new StandardItemModel(Items.DIAMOND, "minecraft"));
+        addDispatch(new StandardItemModel(Items.INGOT_IRON, "minecraft"));
+        addDispatch(new StandardItemModel(Items.INGOT_GOLD, "minecraft"));
+
+        addDispatch(new StandardItemModel(Items.TOOL_SWORD_IRON, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_SWORD_WOOD, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_SHOVEL_WOOD, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_PICKAXE_WOOD, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_AXE_WOOD, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_SWORD_STONE, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_SHOVEL_STONE, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_PICKAXE_STONE, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_AXE_STONE, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_SWORD_DIAMOND, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_SHOVEL_DIAMOND, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_PICKAXE_DIAMOND, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_AXE_DIAMOND, "minecraft").setFull3D());
+
+        addDispatch(new StandardItemModel(Items.STICK, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.BOWL, "minecraft"));
+        addDispatch(new StandardItemModel(Items.FOOD_STEW_MUSHROOM, "minecraft"));
+
+        addDispatch(new StandardItemModel(Items.TOOL_SWORD_GOLD, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_SHOVEL_GOLD, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_PICKAXE_GOLD, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_AXE_GOLD, "minecraft").setFull3D());
+
+        addDispatch(new StandardItemModel(Items.STRING, "minecraft"));
+        addDispatch(new StandardItemModel(Items.FEATHER_CHICKEN, "minecraft"));
+        addDispatch(new StandardItemModel(Items.SULPHUR, "minecraft"));
+
+        addDispatch(new StandardItemModel(Items.TOOL_HOE_WOOD, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_HOE_STONE, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_HOE_IRON, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_HOE_DIAMOND, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_HOE_GOLD, "minecraft").setFull3D());
+
+        addDispatch(new StandardItemModel(Items.SEEDS_WHEAT, "minecraft"));
+        addDispatch(new StandardItemModel(Items.WHEAT, "minecraft"));
+        addDispatch(new StandardItemModel(Items.FOOD_BREAD, "minecraft"));
+
+        addDispatch(new StandardItemModel(Items.ARMOR_HELMET_LEATHER, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_CHESTPLATE_LEATHER, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_LEGGINGS_LEATHER, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_BOOTS_LEATHER, "minecraft"));
+
+        addDispatch(new StandardItemModel(Items.ARMOR_HELMET_CHAINMAIL, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_CHESTPLATE_CHAINMAIL, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_LEGGINGS_CHAINMAIL, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_BOOTS_CHAINMAIL, "minecraft"));
+
+        addDispatch(new StandardItemModel(Items.ARMOR_HELMET_IRON, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_CHESTPLATE_IRON, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_LEGGINGS_IRON, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_BOOTS_IRON, "minecraft"));
+
+        addDispatch(new StandardItemModel(Items.ARMOR_HELMET_DIAMOND, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_CHESTPLATE_DIAMOND, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_LEGGINGS_DIAMOND, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_BOOTS_DIAMOND, "minecraft"));
+
+        addDispatch(new StandardItemModel(Items.ARMOR_HELMET_GOLD, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_CHESTPLATE_GOLD, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_LEGGINGS_GOLD, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_BOOTS_GOLD, "minecraft"));
+
+        addDispatch(new StandardItemModel(Items.FLINT, "minecraft"));
+        addDispatch(new StandardItemModel(Items.FOOD_PORKCHOP_RAW, "minecraft"));
+        addDispatch(new StandardItemModel(Items.FOOD_PORKCHOP_COOKED, "minecraft"));
+        addDispatch(new StandardItemModel(Items.PAINTING, "minecraft"));
+        addDispatch(new StandardItemModel(Items.FOOD_APPLE_GOLD, "minecraft"));
+        addDispatch(new StandardItemModel(Items.SIGN, "minecraft"));
+        addDispatch(new StandardItemModel(Items.DOOR_OAK, "minecraft"));
+        addDispatch(new StandardItemModel(Items.DOOR_GLASS, "minecraft"));
+        addDispatch(new DoorPaintedItemModel(Items.DOOR_OAK_PAINTED));
+        addDispatch(new StandardItemModel(Items.BUCKET, "minecraft"));
+        addDispatch(new StandardItemModel(Items.BUCKET_WATER, "minecraft"));
+        addDispatch(new StandardItemModel(Items.BUCKET_LAVA, "minecraft").setFullBright());
+        addDispatch(new StandardItemModel(Items.MINECART, "minecraft"));
+        addDispatch(new StandardItemModel(Items.SADDLE, "minecraft"));
+        addDispatch(new StandardItemModel(Items.DOOR_IRON, "minecraft"));
+        addDispatch(new StandardItemModel(Items.DUST_REDSTONE, "minecraft"));
+        addDispatch(new StandardItemModel(Items.AMMO_SNOWBALL, "minecraft"));
+        addDispatch(new StandardItemModel(Items.BOAT, "minecraft"));
+        addDispatch(new StandardItemModel(Items.LEATHER, "minecraft"));
+        addDispatch(new StandardItemModel(Items.BUCKET_MILK, "minecraft"));
+        addDispatch(new StandardItemModel(Items.BRICK_CLAY, "minecraft"));
+        addDispatch(new StandardItemModel(Items.CLAY, "minecraft"));
+        addDispatch(new StandardItemModel(Items.SUGARCANE, "minecraft"));
+        addDispatch(new StandardItemModel(Items.PAPER, "minecraft"));
+        addDispatch(new StandardItemModel(Items.BOOK, "minecraft"));
+        addDispatch(new StandardItemModel(Items.SLIMEBALL, "minecraft"));
+        addDispatch(new StandardItemModel(Items.MINECART_CHEST, "minecraft"));
+        addDispatch(new StandardItemModel(Items.MINECART_FURNACE, "minecraft"));
+        addDispatch(new StandardItemModel(Items.EGG_CHICKEN, "minecraft"));
+        addDispatch(new StandardItemModel(Items.TOOL_COMPASS, "minecraft"));
+        addDispatch(new FishingRodItemModel(Items.TOOL_FISHINGROD, "minecraft").setFull3D().setRotateWhenRendering());
+        addDispatch(new StandardItemModel(Items.TOOL_CLOCK, "minecraft"));
+        addDispatch(new StandardItemModel(Items.DUST_GLOWSTONE, "minecraft").setFullBright());
+        addDispatch(new StandardItemModel(Items.FOOD_FISH_RAW, "minecraft"));
+        addDispatch(new StandardItemModel(Items.FOOD_FISH_COOKED, "minecraft"));
+        addDispatch(new DyeItemModel(Items.DYE));
+        addDispatch(new StandardItemModel(Items.BONE, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.DUST_SUGAR, "minecraft"));
+        addDispatch(new StandardItemModel(Items.FOOD_CAKE, "minecraft"));
+        addDispatch(new StandardItemModel(Items.FOOD_PUMPKIN_PIE, "minecraft"));
+        addDispatch(new StandardItemModel(Items.BED, "minecraft"));
+        addDispatch(new StandardItemModel(Items.REPEATER, "minecraft"));
+        addDispatch(new StandardItemModel(Items.FOOD_COOKIE, "minecraft"));
+        addDispatch(new MapItemModel(Items.MAP, "minecraft"));
+        addDispatch(new StandardItemModel(Items.TOOL_SHEARS, "minecraft"));
+
+        addDispatch(new StandardItemModel(Items.NETHERCOAL, "minecraft").setFullBright());
+
+        addDispatch(new StandardItemModel(Items.ARMOR_HELMET_STEEL, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_CHESTPLATE_STEEL, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_LEGGINGS_STEEL, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ARMOR_BOOTS_STEEL, "minecraft"));
+
+        addDispatch(new StandardItemModel(Items.TOOL_SWORD_STEEL, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_SHOVEL_STEEL, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_PICKAXE_STEEL, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_AXE_STEEL, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.TOOL_HOE_STEEL, "minecraft").setFull3D());
+
+        addDispatch(new StandardItemModel(Items.INGOT_STEEL, "minecraft"));
+        addDispatch(new StandardItemModel(Items.INGOT_STEEL_CRUDE, "minecraft"));
+        addDispatch(new StandardItemModel(Items.AMMO_FIREBALL, "minecraft").setFullBright());
+        addDispatch(new StandardItemModel(Items.ARMOR_QUIVER_GOLD, "minecraft"));
+        addDispatch(new StandardItemModel(Items.HANDCANNON_UNLOADED, "minecraft").setFull3D());
+        addDispatch(new StandardItemModel(Items.CHAINLINK, "minecraft"));
+        addDispatch(new StandardItemModel(Items.CLOTH, "minecraft"));
+        addDispatch(new StandardItemModel(Items.AMMO_CHARGE_EXPLOSIVE, "minecraft"));
+        addDispatch(new StandardItemModel(Items.HANDCANNON_LOADED, "minecraft").setFull3D().setFullBright());
+        addDispatch(new StandardItemModel(Items.AMMO_ARROW_GOLD, "minecraft"));
+        addDispatch(new QuiverItemModel(Items.ARMOR_QUIVER, "minecraft"));
+        addDispatch(new StandardItemModel(Items.TOOL_CALENDAR, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ORE_RAW_GOLD, "minecraft"));
+        addDispatch(new StandardItemModel(Items.ORE_RAW_IRON, "minecraft"));
+        addDispatch(new StandardItemModel(Items.QUARTZ, "minecraft"));
+        addDispatch(new StandardItemModel(Items.OLIVINE, "minecraft"));
+        addDispatch(new StandardItemModel(Items.AMMO_PEBBLE, "minecraft"));
+        addDispatch(new StandardItemModel(Items.FOOD_CHERRY, "minecraft"));
+        addDispatch(new StandardItemModel(Items.BUCKET_ICECREAM, "minecraft"));
+        addDispatch(new StandardItemModel(Items.AMMO_ARROW_PURPLE, "minecraft"));
+        addDispatch(new LabelItemModel(Items.LABEL, "minecraft"));
+        addDispatch(new StandardItemModel(Items.JAR, "minecraft"));
+
+        addDispatch(new StandardItemModel(Items.LANTERN_FIREFLY_GREEN, "minecraft").setFullBright());
+        addDispatch(new StandardItemModel(Items.LANTERN_FIREFLY_BLUE, "minecraft").setFullBright());
+        addDispatch(new StandardItemModel(Items.LANTERN_FIREFLY_ORANGE, "minecraft").setFullBright());
+        addDispatch(new StandardItemModel(Items.LANTERN_FIREFLY_RED, "minecraft").setFullBright());
+
+        addDispatch(new StandardItemModel(Items.BASKET, "minecraft"));
+        addDispatch(new StandardItemModel(Items.FLAG, "minecraft").setFull3D());
+
+        addDispatch(new StandardItemModel(Items.ARMOR_BOOTS_ICESKATES, "minecraft"));
+        addDispatch(new StandardItemModel(Items.TOOL_SHEARS_STEEL, "minecraft"));
+        addDispatch(new StandardItemModel(Items.TOOL_FIRESTRIKER_STEEL, "minecraft"));
+        addDispatch(new StandardItemModel(Items.SEEDS_PUMPKIN, "minecraft"));
+        addDispatch(new StandardItemModel(Items.SEAT, "minecraft"));
+
+        addDispatch(new StandardItemModel(Items.ROPE, "minecraft"));
+
+        addDispatch(new StandardItemModel(Items.WAND_MONSTER_SPAWNER, "minecraft").setFull3D());
+
+        addDispatch(new StandardItemModel(Items.RECORD_13, "minecraft"));
+        addDispatch(new StandardItemModel(Items.RECORD_CAT, "minecraft"));
+        addDispatch(new StandardItemModel(Items.RECORD_BLOCKS, "minecraft"));
+        addDispatch(new StandardItemModel(Items.RECORD_CHIRP, "minecraft"));
+        addDispatch(new StandardItemModel(Items.RECORD_FAR, "minecraft"));
+        addDispatch(new StandardItemModel(Items.RECORD_MALL, "minecraft"));
+        addDispatch(new StandardItemModel(Items.RECORD_MELLOHI, "minecraft"));
+        addDispatch(new StandardItemModel(Items.RECORD_STAL, "minecraft"));
+        addDispatch(new StandardItemModel(Items.RECORD_STRAD, "minecraft"));
+        addDispatch(new StandardItemModel(Items.RECORD_WARD, "minecraft"));
+        addDispatch(new StandardItemModel(Items.RECORD_WAIT, "minecraft"));
+        addDispatch(new StandardItemModel(Items.RECORD_DOG, "minecraft"));
+
+        addDispatch(new BlockItemModel((BlockItem) Blocks.TORCH_COAL.asItem()).setFullBright());
+        addDispatch(new BlockItemModel((BlockItem) Blocks.TORCH_REDSTONE_ACTIVE.asItem()).setFullBright());
+        addDispatch(new BlockItemModel((BlockItem) Blocks.GLOWSTONE.asItem()).setFullBright());
+        addDispatch(new BlockItemModel((BlockItem) Blocks.PUMPKIN_CARVED_ACTIVE.asItem()).setFullBright());
+        addDispatch(new BlockItemModel((BlockItem) Blocks.LAMP_ACTIVE.asItem()).setFullBright());
+        addDispatch(new BlockItemModel((BlockItem) Blocks.PORTAL_PARADISE.asItem()).setFullBright());
+        addDispatch(new BlockItemModel((BlockItem) Blocks.PORTAL_NETHER.asItem()).setFullBright());
 
         for (int i = 0; i < Block.blocksList.length; i++) {
             if (Block.blocksList[i] == null) continue;
             Item item = Block.blocksList[i].asItem();
             if (dispatches.containsKey(item)) continue;
-            if (!(item instanceof ItemBlock)) continue;
-            addDispatch(new ItemModelBlock((ItemBlock) item));
+            if (!(item instanceof BlockItem)) continue;
+            addDispatch(new BlockItemModel((BlockItem) item));
         }
     }
 }
diff --git a/src/main/java/net/minecraft/client/render/item/model/ItemModelNone.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelNone.java
index fcd3087d8..47b371ccb 100644
--- a/src/main/java/net/minecraft/client/render/item/model/ItemModelNone.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelNone.java
@@ -3,10 +3,10 @@ package net.minecraft.client.render.item.model;
 import net.minecraft.client.render.FontRenderer;
 import net.minecraft.client.render.ItemRenderer;
 import net.minecraft.client.render.RenderEngine;
-import net.minecraft.client.render.stitcher.IconCoordinate;
+import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.player.EntityPlayer;
+import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
 import org.jetbrains.annotations.Nullable;
 
@@ -18,7 +18,7 @@ public class ItemModelNone extends ItemModel{
     }
 
     @Override
-    public void renderItemFirstPerson(Tessellator tessellator, ItemRenderer renderer, EntityPlayer player, ItemStack stack, float partialTick) {
+    public void renderItemFirstPerson(Tessellator tessellator, ItemRenderer renderer, Player player, ItemStack stack, float partialTick) {
 
     }
 
